1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Should I upgrade from 1.5?

Discussion in 'Sony PSP - Mod and firmware discussion' started by robo456, May 14, 2007.

  1. robo456

    robo456 Member

    Joined:
    May 14, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    Hey all... Just dusted off my PSP; I've been out of the scene for a LOOONG time. I can't find my power cord as of yet, so I'm going from memory here, so bear with me.

    When I bought my PSP, it had the original 1.0 firmware on it (yeap, that old)... Anyway, I had put 1.5 on it and was using UMD Emulator (I believe it was .7 back then). Most of my iso's worked fine, however as time went on, UMD had trouble with some so I went to a version of Fastloader. That seemed to clear it up.

    Now, with all the custom firmwares out, i'm not quite sure what to do. I'd mainly like to play ISOs of PSP and PSX games. Should I stick with 1.5 and look for newer versions of a 'launcher'? or should I go with 3.40oe-A from DAX?

    I saw a few people said to try 3.03oe-C, but I wasn't sure if that was outdated by 3.40oe-A. Thanks for any info!

    --rob
     
    Last edited: May 14, 2007
  2. shadow270

    shadow270 Guest

    you should defenetly upgrade.
    Its the easiest way to play isos an psx game
    and 3.40 OE is better than 3.03 OE, since some games requier a higher firmware than 3.03
     
    Last edited by a moderator: May 14, 2007
  3. robo456

    robo456 Member

    Joined:
    May 14, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    That was the feeling I was getting from reading some of the other posts too... Thanks!

    --rob
     

Share This Page